summaryrefslogtreecommitdiffstats
path: root/network/barrier
diff options
context:
space:
mode:
author Mário Antunes <mariolpantunes@gmail.com>2018-11-23 00:40:52 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-11-24 12:35:15 +0700
commit9685a78bf41d7cc1c4e64a9248cd920d40276a04 (patch)
tree2de95ba5251412cd883d898b311f0a563b1c041a /network/barrier
parente38f9763bbffa4aeb0cdfc19f02726bc6594f1e8 (diff)
downloadslackbuilds-9685a78bf41d7cc1c4e64a9248cd920d40276a04.tar.gz
slackbuilds-9685a78bf41d7cc1c4e64a9248cd920d40276a04.tar.xz
network/barrier: Added (Synergy Fork).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/barrier')
-rw-r--r--network/barrier/README8
-rw-r--r--network/barrier/barrier.SlackBuild94
-rw-r--r--network/barrier/barrier.info10
-rw-r--r--network/barrier/doinst.sh13
-rw-r--r--network/barrier/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/network/barrier/README b/network/barrier/README
new file mode 100644
index 0000000000..ae1b83d9e0
--- /dev/null
+++ b/network/barrier/README
@@ -0,0 +1,8 @@
+Barrier (Synergy Fork)
+
+Barrier is KVM software forked from Symless's synergy 1.9 codebase.
+Synergy was a commercialized reimplementation of the original
+CosmoSynergy written by Chris Schoeneman. Whereas synergy has moved
+beyond its goals from the 1.x era, Barrier aims to maintain that
+simplicity. Barrier will let you use your keyboard and mouse from
+machine A to control machine B (or more). It's that simple.
diff --git a/network/barrier/barrier.SlackBuild b/network/barrier/barrier.SlackBuild
new file mode 100644
index 0000000000..b03281061c
--- /dev/null
+++ b/network/barrier/barrier.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# Slackware build script for Barrier (Synergy fork)
+# Written by Mario Antunes (mariolpantunes@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=barrier
+VERSION=${VERSION:-2.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE="Release" \
+ -DCMAKE_INSTALL_PREFIX=/usr ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/barrier/barrier.info b/network/barrier/barrier.info
new file mode 100644
index 0000000000..1382632fdb
--- /dev/null
+++ b/network/barrier/barrier.info
@@ -0,0 +1,10 @@
+PRGNAM="barrier"
+VERSION="2.1.2"
+HOMEPAGE="https://github.com/debauchee/barrier"
+DOWNLOAD="https://github.com/debauchee/barrier/archive/v2.1.2/barrier-2.1.2.tar.gz"
+MD5SUM="8cc0d40bc7da7f7e33c8c063157084b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="avahi qt5"
+MAINTAINER="Mário Antunes"
+EMAIL="mariolpantunes@gmail.com"
diff --git a/network/barrier/doinst.sh b/network/barrier/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/barrier/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/barrier/slack-desc b/network/barrier/slack-desc
new file mode 100644
index 0000000000..f9c33157fd
--- /dev/null
+++ b/network/barrier/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+barrier: barrier (Synergy Fork)
+barrier:
+barrier: Eliminate the barrier between your machines.
+barrier: Barrier is KVM software forked from Symless's synergy 1.9 codebase.
+barrier: Synergy was a commercialized reimplementation of the original
+barrier: CosmoSynergy written by Chris Schoeneman.
+barrier: Whereas synergy has moved beyond its goals from the 1.x era, Barrier
+barrier: aims to maintain that simplicity. Barrier will let you use your
+barrier: keyboard and mouse from machine A to control machine B (or more).
+barrier: It's that simple.
+barrier: